if(UIocc == 2) // Affichage de l'Aide / UIocc = 2 signifie qu'on a choisi l'option "I found a bug/glitch..."
{
	if(nbtrait2 == 1)
	{
		script.openUrl("http://www.minecraftforum.net/topic/180159-173ac-zelda-adventure-v095-173300-dls/", "Url of the map's topic :");
	}
	else if(nbtrait2 == 2)
	{
		script.openUrl("http://www.minecraftforum.net/topic/120456-173-adventurecraft-animated-textures-r983/", "Url of the mod's topic :");
	}
	else if(nbtrait2 == 3)
	{
		sound.playSoundUI("sound.pausemenu_close");
		UIocc = 1; nbtrait2 = 1; nbtrait = 1; place = 40; taille = 105;
		screen.clear();
		UIRect(0,0,1000,1000,0,0,0,0.7);	
		UILabel("What is your problem ?", (w-s)/2, (h-s)/5);
		UILabel("I lost a unique item", (w-ui.getStringWidth("I lost a unique item"))/2, (h-s)/5+30);
		UILabel("I found a bug/glitch, where can I report it ?", (w-ui.getStringWidth("I found a bug/glitch, where can I report it ?"))/2, (h-s)/5+60);
		UILabel("I'm stuck in the game, where can I ask for help ?", (w-ui.getStringWidth("I'm stuck in the game, where can I ask for help ?"))/2, (h-s)/5+90);
		UILabel("I have a suggestion, where can I post it ?", (w-ui.getStringWidth("I have a suggestion, where can I post it ?"))/2, (h-s)/5+120);
		UILabel("I want to change an equipment shortcut", (w-ui.getStringWidth("I want to change an equipment shortcut"))/2, (h-s)/5+150);
		UILabel("Press 'H' to close", (w-ui.getStringWidth("Press 'H' to close"))/2, (h-s)/5+180);
		UIRect((w-taille)/2-1,(h-s)/5+place,taille,1,1,1,1,1);
	}
	
}

else if(UIocc == 10) // Affichage de l'Aide / UIocc = 10 signifie qu'on a choisi l'option permettant de changer les touches d'équipement
{
	if(nbtrait3 == 1)
	{
		UIocc = 0; toucheh = 0; nbtrait3 = 1; nbtrait = 1; place = 40; taille = 105;
		selecToucheBottesF = 1;
	}
	else if(nbtrait3 == 2)
	{
		sound.playSoundUI("sound.pausemenu_close");
		UIocc = 1; nbtrait3 = 1; nbtrait = 1; place = 40; taille = 105; touchespa = 0;
		screen.clear();
		UIRect(0,0,1000,1000,0,0,0,0.7);	
		UILabel("What is your problem ?", (w-s)/2, (h-s)/5);
		UILabel("I lost a unique item", (w-ui.getStringWidth("I lost a unique item"))/2, (h-s)/5+30);
		UILabel("I found a bug/glitch, where can I report it ?", (w-ui.getStringWidth("I found a bug/glitch, where can I report it ?"))/2, (h-s)/5+60);
		UILabel("I'm stuck in the game, where can I ask for help ?", (w-ui.getStringWidth("I'm stuck in the game, where can I ask for help ?"))/2, (h-s)/5+90);
		UILabel("I have a suggestion, where can I post it ?", (w-ui.getStringWidth("I have a suggestion, where can I post it ?"))/2, (h-s)/5+120);
		UILabel("I want to change an equipment shortcut", (w-ui.getStringWidth("I want to change an equipment shortcut"))/2, (h-s)/5+150);
		UILabel("Press 'H' to close", (w-ui.getStringWidth("Press 'H' to close"))/2, (h-s)/5+180);
		UIRect((w-taille)/2-1,(h-s)/5+place,taille,1,1,1,1,1);
	}
	
}

else if(UIocc == 1) // Affichage de l'Aide / UIocc = 1 signifie qu'on a choisi une option se trouvant sur le menu de base de l'Aide
{

	if(touchespa == 1)
	{
		sound.playSoundUI("sound.pausemenu_close");
		touchespa = 0; nbtrait = 1; place = 40; taille = 105;
		UIocc = 1;
		screen.clear();
		UIRect(0,0,1000,1000,0,0,0,0.7);
		UILabel("What is your problem ?", (w-s)/2, (h-s)/5);
		UILabel("I lost a unique item", (w-ui.getStringWidth("I lost a unique item"))/2, (h-s)/5+30);
		UILabel("I found a bug/glitch, where can I report it ?", (w-ui.getStringWidth("I found a bug/glitch, where can I report it ?"))/2, (h-s)/5+60);
		UILabel("I'm stuck in the game, where can I ask for help ?", (w-ui.getStringWidth("I'm stuck in the game, where can I ask for help ?"))/2, (h-s)/5+90);
		UILabel("I have a suggestion, where can I post it ?", (w-ui.getStringWidth("I have a suggestion, where can I post it ?"))/2, (h-s)/5+120);
		UILabel("I want to change an equipment shortcut", (w-ui.getStringWidth("I want to change an equipment shortcut"))/2, (h-s)/5+150);
		UILabel("Press 'H' to close", (w-ui.getStringWidth("Press 'H' to close"))/2, (h-s)/5+180);
		UIRect((w-taille)/2-1,(h-s)/5+place,taille,1,1,1,1,1);
	}
	else if(nbtrait == 1)
	{
		sound.playSoundUI("sound.pausemenu_select");
		touchespa = 1;
		screen.clear();
		UIRect(0,0,1000,1000,0,0,0,0.7);
		UILabel("If you press F7, you can access the blocks' palette.", (w-ui.getStringWidth("If you press F7, you can access the blocks' palette."))/2, (h-s)/5+30);
		UILabel("You can change the page by pressing F7 or F8.", (w-ui.getStringWidth("You can change the page by pressing F7 or F8."))/2, (h-s)/5+40);
		UILabel("Take the item you lost and close the palette.", (w-ui.getStringWidth("Take the item you lost and close the palette."))/2, (h-s)/5+50);
		UILabel("Warning ! Use this palette only if you lost a unique item,", (w-ui.getStringWidth("Warning ! Use this palette only if you lost a unique item,"))/2, (h-s)/5+80);
		UILabel("don't use it to cheat !", (w-ui.getStringWidth("don't use it to cheat !"))/2, (h-s)/5+90);
		UILabel("Back", (w-ui.getStringWidth("Back"))/2, (h-s)/5+120);
		UIRect((w-30)/2-1,(h-s)/5+130,30,1,1,1,1,1);
	}
	else if(nbtrait == 2)
	{
		sound.playSoundUI("sound.pausemenu_select");
		UIocc = 2;
		screen.clear();
		UIRect(0,0,1000,1000,0,0,0,0.7);
		UILabel("If it is a bug/glitch about the game,", (w-ui.getStringWidth("If it is a bug/glitch about the game,"))/2, (h-s)/5+30);
		UILabel("you can report it in the topic of the map (following link).", (w-ui.getStringWidth("you can report it in the topic of the map (following link)."))/2, (h-s)/5+40);
		UILabel("Go to the topic of the map", (w-ui.getStringWidth("Go to the topic of the map"))/2, (h-s)/5+55);
		UILabel("If it is a bug/glitch about the mod,", (w-ui.getStringWidth("If it is a bug/glitch about the mod,"))/2, (h-s)/5+70);
		UILabel("you can report it in the topic of the mod (following link).", (w-ui.getStringWidth("you can report it in the topic of the mod (following link)."))/2, (h-s)/5+80);
		UILabel("Go to the topic of the mod", (w-ui.getStringWidth("Go to the topic of the mod"))/2, (h-s)/5+95);
		UILabel("Back", (w-ui.getStringWidth("Back"))/2, (h-s)/5+120);
		UIRect((w-130)/2-1,(h-s)/5+65,130,1,1,1,1,1);
	}
	else if(nbtrait == 3)
	{
		sound.playSoundUI("sound.pausemenu_select");
		touchespa = 1;
		screen.clear();
		UIRect(0,0,1000,1000,0,0,0,0.7);
		UILabel("If you're stuck in the game,", (w-ui.getStringWidth("If you're stuck in the game,"))/2, (h-s)/5+30);
		UILabel("you can ask some help in the topic of the map", (w-ui.getStringWidth("you can ask some help in the topic of the map"))/2, (h-s)/5+40);
		UILabel("Open the URL to go to the topic.", (w-ui.getStringWidth("Open the URL to go to the topic."))/2, (h-s)/5+55);
		UILabel("Back", (w-ui.getStringWidth("Back"))/2, (h-s)/5+90);
		UIRect((w-30)/2-1,(h-s)/5+100,30,1,1,1,1,1);
		script.openUrl("http://www.minecraftforum.net/topic/180159-173ac-zelda-adventure-v095-173300-dls/", "Url of the topic :");
	}
	else if(nbtrait == 4)
	{
		sound.playSoundUI("sound.pausemenu_select");
		touchespa = 1;
		screen.clear();
		UIRect(0,0,1000,1000,0,0,0,0.7);
		UILabel("If you have a suggestion about the game,", (w-ui.getStringWidth("If you have a suggestion about the game,"))/2, (h-s)/5+30);
		UILabel("you can post it in the topic of the map.", (w-ui.getStringWidth("you can post it in the topic of the map."))/2, (h-s)/5+40);
		UILabel("Open the URL to go to the topic.", (w-ui.getStringWidth("Open the URL to go to the topic."))/2, (h-s)/5+55);
		UILabel("If the suggestion is good enought and add-able,", (w-ui.getStringWidth("If the suggestion is good enought and add-able,"))/2, (h-s)/5+70);
		UILabel("it will maybe be added in the game.", (w-ui.getStringWidth("it will maybe added in the game."))/2, (h-s)/5+80);
		UILabel("Back", (w-ui.getStringWidth("Back"))/2, (h-s)/5+110);
		UIRect((w-30)/2-1,(h-s)/5+120,30,1,1,1,1,1);
		script.openUrl("http://www.minecraftforum.net/topic/180159-173ac-zelda-adventure-v095-173300-dls/", "Url of the topic :");	
	}
	else if(nbtrait == 5)
	{
		sound.playSoundUI("sound.pausemenu_select");
		UIocc = 10;
		touchespa = 1;
		screen.clear();
		UIRect(0,0,1000,1000,0,0,0,0.7);
		UILabel("Which shortcut do you want to change ?", (w-ui.getStringWidth("Which shortcut do you want to change ?"))/2, (h-s)/5+10);
		UILabel("Iron Boots", (w-ui.getStringWidth("Iron Boots"))/2, (h-s)/5+40);
		UILabel("Back", (w-ui.getStringWidth("Back"))/2, (h-s)/5+70);
		UIRect((w-30)/2-1,(h-s)/5+80,30,1,1,1,1,1);
	}

}
else if(UIocc == 3) // Jeu de tir à l'arc
{
	if(nbtrait == 1)
	{
		sound.playSoundUI("sound.pausemenu_select");
		UIocc = 4;
		screen.clear();
		if(pinv.getItemInSlot(35) != null)
		{
			if(pinv.getItemInSlot(35).getQuantity() >= 10)
			{
				chat.print("Nami : Let's Go !");
				chat.print("YIIIIHAAAAA !!");
				playGame = 1; score = 0;
				nbrub = pinv.getItemInSlot(35).getQuantity();
				pinv.emptySlot(35);
				pinv.setSlot(35, Item(266, nbrub-10));
				if(pinv.getItemInSlot(26) != null)
				{
					nbfleche = pinv.getItemInSlot(26).getQuantity();
				}
				else
				{
					nbfleche = 0;
				}
				pinv.emptySlot(26);
				pinv.setSlot(26, Item(262, 60));
				sound.playSoundUI("sound.get rupee");
				sound.playMusic("music.silence");
				world.setBlockID(215, 40, -364, 76);
				player.setPosition(259.3, 47, -377.5);
				player.setRotation(90,0);
				
				UISprite("/gui/decompte.png", (w-19)/2, (h-26)/2, 19, 26, 0, 0);
				time.sleep(2.0);
				screen.clear();
				UISprite("/gui/decompte.png", (w-19)/2, (h-28)/2, 19, 28, 23, 0);
				time.sleep(2.0);
				screen.clear();
				UISprite("/gui/decompte.png", (w-19)/2, (h-28)/2, 19, 28, 48, 0);
				time.sleep(2.0);
				screen.clear();
				UISprite("/gui/decompte.png", (w-63)/2, (h-28)/2, 63, 28, 70, 0);
				sound.playSoundUI("sound.gunshot");
				time.sleep(1.0);
				screen.clear();
				
				UIocc = 0; NPCtalk = 0;
				sound.playMusic("music.jeutir");
				
			}
			else
			{
				chat.print("Nami : Sorry but you don't have enough rupees to play.");
				UIocc = 0; NPCtalk = 0;
				time.sleep(0.2);
				player.setStunned(0);
			}
		}
		else
		{
			chat.print("Nami : Sorry but you don't have enough rupees to play.");
			UIocc = 0; NPCtalk = 0;
			time.sleep(0.2);
			player.setStunned(0);
		}
		
	}
	
	else if(nbtrait == 2)
	{
		sound.playSoundUI("sound.pausemenu_close");
		screen.clear();
		chat.print("Nami : Oooooooh !");
		chat.print("Come back if you change your decision.");
		UIocc = 0; NPCtalk = 0;
		time.sleep(0.2);
		player.setStunned(0);
	}
	
	else if(nbtrait == 3)
	{
		sound.playSoundUI("sound.pausemenu_select");
		UIocc = 4;
		screen.clear();
		chat.print("Nami : You have to shoot as many targets as you can.");
		time.sleep(3.5);
		sound.playSoundUI("sound.dialogue next");
		chat.print("Nami : To do that, you can only use your bow and you have 60 arrows.");
		time.sleep(3.5);
		sound.playSoundUI("sound.dialogue next");
		chat.print("Nami : A red target brings one point. A gold target brings two  points.");
		time.sleep(3.5);
		sound.playSoundUI("sound.dialogue next");
		chat.print("Nami : There are various gains according to the number of     points.");
		chat.print("");
		time.sleep(3.5);
		sound.playSoundUI("sound.dialogue next");
		nbtrait = 1; UIocc = 3;
		chat.print("Nami : Do you want to play a game ?");
		chat.print("It's 10 rupees per play.");
		chat.print("");
		chat.print("");
		chat.print("");
		UISprite("/gui/icones.PNG", 15, h-60, 11, 9, 0, 0);
		labelYes = UILabel("Yes", 30, h-60); labelYes.red = 0; labelYes.blue = 0;
		labelNo = UILabel("No", 70, h-60); labelNo.red = 0; labelNo.blue = 0;
		labelRules = UILabel("Read the rules", 110, h-60); labelRules.red = 0; labelRules.blue = 0;
	}
}